SystemOrganization addCategory: #'Tools-SystemSettings'!

Object subclass: #CodeHolderSystemSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tools-SystemSettings'!

!CodeHolderSystemSettings class methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 12/2/2009 22:22'!
codeBrowsingOn: aBuilder 
	<systemsettings>
	(aBuilder group: #codeBrowsing) 
		label: 'Code browsing' translated;
		description: 'All settings concerned with code browsing look''n feel' translated;
		noOrdering;
		with: [	
			(aBuilder setting: #browseWithPrettyPrint) 
				label: 'Pretty print' translated;
		 		target: CodeHolder;
		 		description: 'If checked then browsers automatically format their code' translated.
			(aBuilder setting: #showAnnotationPane) 
				label: 'Show annotation pane' translated;
		 		target: CodeHolder;
		 		description: 'If checked then the annotation pane is shown in browsers; it is dynamically updated with useful informations about the code which is currently browsed' translated.
			(aBuilder setting: #smartUpdating)
				label: 'Smart updating' translated;
				description: 'If true, then morphic tools such as browsers and inspectors will keep their contents up to date automatically, so that if something changes anywhere, the change will be reflected everywhere' translated;
				target: CodeHolder.
			(aBuilder group: #'Optional buttons')
				with: [	
					(aBuilder setting: #optionalButtons)
						label: 'Add shortcut buttons' translated;
						description: 'If true, then optional buttons will be used in certain standard tools, including browsers, message lists, fileLists, changeLists, and debuggers' translated;
						target: CodeHolder;
						with: [
							(aBuilder setting: #decorateBrowserButtons)
								label: 'Decorate buttons' translated;
								description: 'Governs whether certain buttons, such as the Inheritance button, should bear colors that provide user feedback on their applicability' translated;
								target: CodeHolder]].
			(aBuilder setting: #diffsInChangeList)
				label: 'Change list exhibits differences' translated;
				target: CodeHolder;
				description: 'If true, ChangeList browsers and Versions browsers will open up by default showing differences, i.e. revealing the differences between successive versions or between the in-memory code and the code on disk' translated;
				with: [
					(aBuilder setting: #diffsWithPrettyPrint)
						label: 'Pretty print differences' translated;
						target: CodeHolder;
						description: 'If true, displays of source code differences will be pretty-printed first' translated]]! !
